package org.studiorailgun.conversation.evaluators.goal;

import org.studiorailgun.conversation.evaluators.query.QueryData;

/**
 * Data about the AI's goal in the conversation
 */
public class GoalData {
    
    /**
     * A goal the ai can have for the conversation
     */
    public static enum ConversationGoal {

        /**
         * Say a greeting
         */
        GREET,

        /**
         * Answer a question
         */
        ANSWER,
    }

    /**
     * The goal of the conversation
     */
    ConversationGoal goal;

    /**
     * The query data
     */
    QueryData queryData;

    /**
     * The query data for the conversation
     */
    public GoalData(){
        this.queryData = new QueryData();
    }

    public ConversationGoal getGoal() {
        return goal;
    }

    public void setGoal(ConversationGoal goal) {
        this.goal = goal;
    }

    public QueryData getQueryData() {
        return queryData;
    }

}
